## nim 1.6.14

=== debian/changelog ===
nim (1.6.14-3) unstable; urgency=medium

  * Bump version to upload source-only

 -- Federico Ceratto <federico@debian.org>  Thu, 25 Apr 2024 21:32:48 +0200

nim (1.6.14-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Add hurd-amd64 case.

  [ Federico Ceratto ]
  * Drop libssl3 build dep (Closes: #1065904)

 -- Federico Ceratto <federico@debian.org>  Wed, 10 Apr 2024 18:18:55 +0200

nim (1.6.14-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 29 Jun 2023 12:09:29 +0100

=== debian/control ===
Source: nim
Section: devel
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper-compat (= 13),
 help2man (>= 1.46.4),
 libpcre3,
 libssl-dev,
Standards-Version: 4.6.2
Homepage: https://nim-lang.org/
Vcs-Git: https://salsa.debian.org/debian/nim.git
Vcs-Browser: https://salsa.debian.org/debian/nim
Rules-Requires-Root: no

Package: nim
Architecture: alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 ia64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 sh4 sparc64 x32
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libpcre3,
Suggests: nim-doc
Recommends: build-essential,
 gcc,
 git
Description: Nim programming language - compiler
 Nim is a statically typed, imperative programming language that generates
 native code via compilation to C. It provides a non-tracing GC, high level
 datatypes and local type inference, and bindings to a lot of C libraries.

Package: nim-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: doc
Description: Nim programming language - documentation
 Nim is a statically typed, imperative programming language that generates
 native code via compilation to C. It provides a non-tracing GC, high level
 datatypes and local type inference, and bindings to a lot of C libraries.
 .
 This is a documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
include /usr/share/dpkg/default.mk

export XDG_CACHE_HOME=$(CURDIR)/.cache
export XDG_CONFIG_HOME=$(CURDIR)/.config
#export XDG_DATA_HOME=$(CURDIR)/.data

platform_tr = $(shell { grep '^$(1)\b' debian/platforms.table || echo '	unsupported:$(1)'; } | cut -f2)

NIMFLAGS = $(addprefix --passC:,$(CPPFLAGS)) $(addprefix --passC:,$(CFLAGS)) $(addprefix --passL:,$(LDFLAGS))
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	# work around https://github.com/nim-lang/Nim/issues/3165
	NIMFLAGS += --parallelBuild:1
endif

%:
	dh $@

override_dh_auto_build:
	echo "running make to build ./bin/nim from csources"
	PATH=./bin/:$$PATH  make -j
	echo "building ./koch"
	PATH=./bin/:$$PATH ./bin/nim c -d:release $(NIMFLAGS) koch
	# Build until convergence; we must do this here, not dh_auto_test, to pick up
	# any changes in debian/patches. see also https://github.com/nim-lang/csources/issues/12
	echo "running koch boot to build ./bin/nim from .nim sources"
	PATH=./bin/:$$PATH ./koch boot -d:release $(NIMFLAGS)
	echo "running koch web to generate docs into doc/html"
	PATH=./bin/:$$PATH ./koch docs --docCmd:skip
	echo "running koch tools to build nimble, nimsuggest, nimgrep"
	PATH=./bin/:$$PATH ./koch tools
	echo "generating manpages"
	help2man --name="Nim Language Compiler" -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nim.1 ./bin/nim
	help2man --name="Nimsuggest"            -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimsuggest.1 ./bin/nimsuggest
	help2man --name="Nimgrep"               -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimgrep.1 ./bin/nimgrep
	help2man --name="Nimpretty"             -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimpretty.1 ./bin/nimpretty
	PATH=./bin/:$$PATH help2man --name="Nim Package Installer" -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimble.1 ./bin/nimble
	echo "running koch distrohelper to generate install.sh"
	./koch distrohelper

override_dh_auto_install:
	echo "running install.sh to populate debian/tmp"
	./install.sh debian/tmp
	# remove the compiler sources directory
	# https://github.com/nim-lang/Nim/issues/4866#issuecomment-271194805
	rm debian/tmp/nim/compiler -rf
	for fn in nimble nimsuggest nimgrep nimpretty nim-gdb; do install ./bin/$$fn debian/tmp/nim/bin/; done
	# Install tools
	install -D -m 644 tools/dochack/dochack.nim     debian/tmp/nim/tools/dochack/dochack.nim
	install -D -m 644 tools/dochack/fuzzysearch.nim debian/tmp/nim/tools/dochack/fuzzysearch.nim
	install -D -m 644 tools/dochack/dochack.js      debian/tmp/nim/tools/dochack/dochack.js
	install -D -m 644 tools/nim-gdb.py debian/tmp/nim/tools/nim-gdb.py
	# Install docs. There is no version number in the path.
	install -d debian/html
	install -D doc/html/*.html doc/html/*.css doc/html/*.js debian/html
	find debian/html -name '*.idx' -delete
	ln -sf manual.html debian/html/index.html
	# install bash/zsh completion scripts
	install -D -m 644 tools/nim.bash-completion          debian/nim/usr/share/bash-completion/completions/nim
	install -D -m 644 dist/nimble/nimble.bash-completion debian/nim/usr/share/bash-completion/completions/nimble
	install -D -m 644 tools/nim.zsh-completion           debian/nim/usr/share/zsh/vendor-completions/_nim
	install -D -m 644 dist/nimble/nimble.zsh-completion  debian/nim/usr/share/zsh/vendor-completions/_nimble
	rm -f debian/tmp/nim/compiler.nimble debian/tmp/nim/doc/advopt.txt debian/tmp/nim/nim.nimble
	rm -f debian/tmp/nim/doc/basicopt.txt debian/tmp/nim/doc/html/overview.html
	install -D -m 644 doc/nimdoc.css  debian/nim/usr/lib/nim/doc/nimdoc.css
	rm debian/tmp/nim/doc/nimdoc.css

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#PATH=./bin:$$PATH ./koch test
	if [ -f compiler/nim2 ]; then cmp ./bin/nim compiler/nim2; else cmp ./bin/nim compiler/nim1; fi
	# TODO: do this with autopkgtest instead; it requires libsqlite3-0 and nodejs
	#PATH=./bin:$$PATH ./koch test
endif

override_dh_auto_clean:
	rm -f ./koch tools/nimweb tools/niminst/niminst compiler/nim compiler/nim0 compiler/nim1 compiler/nim2
	rm -f lib/pure/strutils_examples.nim
	rm -f bin/atlas bin/nim bin/nim_dbg bin/nimble bin/nimgrep bin/nimpretty bin/nimsuggest bin/testament
	rm -rf rnimcache tools/dochack/dochack.js  doc/html/ .cache
	rm -rf web/upload/
	rm -rf dist/nimble0 dist/nimble/src/nimble
	# TODO: use this instead when https://github.com/nim-lang/Nim/issues/2127 is fixed
	#PATH=./bin:$$PATH ./koch clean
	find . -name nimcache \
		-prune -execdir rm -rf nimcache \;
	find . -name '*.o' -not -name 'koch_icon.o' -and -not -name 'nim_icon.o' \
		-delete -print
	find doc -name '*.idx' -delete -print
	find doc -name '*.html' -delete -print
	find lib tests -type f -executable -and -not -name '*.nim' \
		-delete -print
	rm -f tests/dll/libnimrtl.dylib
	rm -f testament.db testresults.*

override_dh_dwz:
	# dwz cannot handle all the binaries together
	# dh_dwz --no-dwz-multifile
	# dwz errors out when handling nim
	true

override_dh_installdocs:
	dh_installdocs -Xcopying.txt

override_dh_clean:
	dh_clean
	rm -f debian/nim.1 debian/nimble.1 debian/nimgrep.1 debian/nimsuggest.1 debian/nimpretty.1
	rm -rf debian/html

## nim 2.2.0

=== debian/changelog ===
nim (2.2.0-1) unstable; urgency=medium

  * QA upload
  * d/copyright: Fix BSD-3-clause
  * Build for any architecture (Closes: #1089673)

  [ xiao sheng wen ]
  * New upstream version 2.2.0
  * d/nim-doc.docs: add install nim/doc/nimdoc.cls
  * d/rules: override_dh_auto_install target update nim-gdb.py install path
  * d/control:
      - Set Maintainer to Debian QA Group for orphaned package
      - Package nim-doc add Multi-Arch: foreign
      - (Build)-Depends: remove obsolete libpcre3 (Closes: #1071691)

  [ Ahmad Khalifa ]
  * Fix fail to build on unstable

 -- Bastian Germann <bage@debian.org>  Thu, 21 Aug 2025 12:43:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -30,11 +30,14 @@
 	echo "running koch web to generate docs into doc/html"
 	PATH=./bin/:$$PATH ./koch docs --docCmd:skip
 	echo "running koch tools to build nimble, nimsuggest, nimgrep"
-	PATH=./bin/:$$PATH ./koch tools
+	#PATH=./bin/:$$PATH ./koch tools
+	PATH=./bin/:$$PATH ./koch toolsnonimble
+	PATH=./bin/:$$PATH ./koch nimble
 	echo "generating manpages"
 	help2man --name="Nim Language Compiler" -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nim.1 ./bin/nim
 	help2man --name="Nimsuggest"            -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimsuggest.1 ./bin/nimsuggest
-	help2man --name="Nimgrep"               -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimgrep.1 ./bin/nimgrep
+	#nimgrep relies on old libpcre1 (a.k.a pcre3) at runtime through dlopen()
+	#help2man --name="Nimgrep"               -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimgrep.1 ./bin/nimgrep
 	help2man --name="Nimpretty"             -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimpretty.1 ./bin/nimpretty
 	PATH=./bin/:$$PATH help2man --name="Nim Package Installer" -s1 -N --version-string="$(DEB_VERSION)" -i debian/nim.h2m -o debian/nimble.1 ./bin/nimble
 	echo "running koch distrohelper to generate install.sh"
@@ -51,7 +54,7 @@
 	install -D -m 644 tools/dochack/dochack.nim     debian/tmp/nim/tools/dochack/dochack.nim
 	install -D -m 644 tools/dochack/fuzzysearch.nim debian/tmp/nim/tools/dochack/fuzzysearch.nim
 	install -D -m 644 tools/dochack/dochack.js      debian/tmp/nim/tools/dochack/dochack.js
-	install -D -m 644 tools/nim-gdb.py debian/tmp/nim/tools/nim-gdb.py
+	install -D -m 644 tools/debug/nim-gdb.py debian/tmp/nim/tools/nim-gdb.py
 	# Install docs. There is no version number in the path.
 	install -d debian/html
 	install -D doc/html/*.html doc/html/*.css doc/html/*.js debian/html
@@ -66,6 +69,8 @@
 	rm -f debian/tmp/nim/doc/basicopt.txt debian/tmp/nim/doc/html/overview.html
 	install -D -m 644 doc/nimdoc.css  debian/nim/usr/lib/nim/doc/nimdoc.css
 	rm debian/tmp/nim/doc/nimdoc.css
+	#nimgrep relies on pcre3, skip it until fixed (https://github.com/nim-lang/Nim/issues/23668)
+	rm debian/tmp/nim/bin/nimgrep
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## nim 2.2.4

=== dist/nimble/nimble-guide/requirements.txt ===
mkdocs-material>=9.5
mkdocs-git-revision-date-localized-plugin

=== debian/changelog ===
nim (2.2.4-1) unstable; urgency=medium

  * QA upload

  [ Jeremy Bícha ]
  * New upstream release
  * Refresh patches
  * Remove obsolete patches

  [ Bastian Germann ]
  * Set 64 bit time_t except for i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 22 Sep 2025 17:56:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: nim
 Section: devel
 Priority: optional
-Maintainer: Federico Ceratto <federico@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
  help2man (>= 1.46.4),
- libpcre3,
  libssl-dev,
 Standards-Version: 4.6.2
 Homepage: https://nim-lang.org/
@@ -13,10 +12,9 @@
 Rules-Requires-Root: no
 
 Package: nim
-Architecture: alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 ia64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 sh4 sparc64 x32
+Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libpcre3,
 Suggests: nim-doc
 Recommends: build-essential,
  gcc,
@@ -28,6 +26,7 @@
 
 Package: nim-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: doc
 Description: Nim programming language - documentation

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,8 @@
 platform_tr = $(shell { grep '^$(1)\b' debian/platforms.table || echo '	unsupported:$(1)'; } | cut -f2)
 
 NIMFLAGS = $(addprefix --passC:,$(CPPFLAGS)) $(addprefix --passC:,$(CFLAGS)) $(addprefix --passL:,$(LDFLAGS))
-ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-	# work around https://github.com/nim-lang/Nim/issues/3165
-	NIMFLAGS += --parallelBuild:1
+ifneq ($(DEB_HOST_ARCH),i386)
+	NIMFLAGS += -d:nimUse64BitCTime
 endif
 
 %:

=== debian/tests/control ===
Test-Command: /usr/bin/nim --version
Restrictions: superficial, allow-stderr
Depends: @

# Simple compilation and run
Test-Command: echo 'echo "Hello world"' > hallo.nim; /usr/bin/nim c -r hallo.nim
Restrictions: allow-stderr
Depends: @, build-essential

# doc generation test
#Test-Command: /usr/bin/nim doc --index:on examples/hallo.nim
#Restrictions: allow-stderr
#Depends: @

#Test-Command: ./koch tests cat async
#Restrictions: superficial, allow-stderr
#Depends: @, build-essential

=== debian/watch ===
version=4

https://nim-lang.org/install_unix.html /download/nim-(\d+.\d+.\d+)\.tar\.xz

## Match nightly using "rc" for release candidate version e.g.:
## https://github.com/nim-lang/nightlies/releases/download/2020-11-28-version-1-4-74c687e395c946111652c7bef4780b0aa2391cbf/nim-1.4.1.tar.xz
#opts="filenamemangle=s/^(.*)(\d+\.\d+\.\d+).*\.tar\.xz/nim-$2rc1\.tar\.xz/, \
#  versionmangle=s/(\d)$/$1~rc1/" \
#  https://github.com/nim-lang/nightlies/releases .*version-1.*74c687e.*/nim-(\d+.\d+.\d+)\.tar\.xz

## nim src

=== Makefile ===
include makeconfig

OBJS = $(PNAME).o

PILRC = pilrc
TXT2BITM = txt2bitm
OBJRES = m68k-palmos-coff-obj-res
BUILDPRC = build-prc
CC = m68k-palmos-coff-gcc
CFLAGS = -Wall -fno-builtin -g -O2 $(DEFINES)
LIBS =

GRCS =	code0000.$(PNAME).grc	\
	code0001.$(PNAME).grc	\
	data0000.$(PNAME).grc	\
	pref0000.$(PNAME).grc

all: $(PNAME).prc

install: all
	pilot-xfer -i $(PNAME).prc

$(OBJS):: $(PNAME).h $(PNAME)id.h

$(PNAME): $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $(PNAME) $(LIBS)

$(GRCS): $(PNAME)
	$(OBJRES) $(PNAME)

bin.res: $(PNAME).rcp $(PNAME).pbitm $(PNAME)id.h
	$(PILRC) $(PNAME).rcp .
	$(TXT2BITM) $(PNAME).pbitm
	touch bin.res

$(PNAME).prc: $(GRCS) bin.res
	$(BUILDPRC) $(PNAME).prc $(ICONTEXT) $(APPID) $(GRCS) *.bin

clean:
	rm -f *.o $(PNAME) *.bin bin.res $(GRCS)

spotless: clean
	rm -f $(PNAME).prc
